Summary: InterLanguage Unification
Name: ilu
Version: 2.0alpha11
Release: 1
Source: ftp://ftp.parc.xerox.com/pub/ilu/2.0a11/ilu-2.0alpha11.tar.gz
Patch: ftp://ftp.parc.xerox.com/pub/ilu/2.0a11/patches.html
Patch1: ilu-misclinux.patch
Patch2: ilu-paths.patch
Group: Development/Libraries
Copyright: BSD-ish
BuildRoot: /tmp/ilu-root

%description
The Inter-Language Unification system (ILU) is a multi-language object
interface system.  The object interfaces provided by ILU hide
implementation distinctions between different languages, between different
address spaces, and between operating system types.  ILU can be used to
build multi-lingual object-oriented libraries ("class libraries") with
well-specified language-independent interfaces.

%changelog
* Mon Nov 3 1997 Elliot Lee <sopwith@cuc.edu> 2.0alpha11-1

- First version.

%prep
%setup -c
%patch -p0
%patch1 -p1
%patch2 -p1

%build
export CLASSPATH=/usr/share/kaffe/classes.zip
echo -e '/usr/include\n/usr/include' | \
./configure --with-iluhome=/usr --with-destdir=$RPM_BUILD_ROOT/usr \
--enable-os-threads --enable-sunrpc-protocol \
--enable-corba-iiop --enable-http-protocol \
--enable-tcp-transport --enable-udp-transport --enable-c-support \
--enable-python-support --enable-guile-support --enable-omg-idl-support \
--enable-pickle-support --enable-tk-support \
--with-binding-dir=/var/run/binding \
--disable-java-support

# It would be nice to have these options enabled as well
#--enable-security
#  Needs GSS.
#--enable-javarmi-protocol
#  Doesn't compile.
#--enable-corba-cplusplus-support
#  Doesn't compile, I'm not sure what the relation of this is to
#  regular c++ stubber thing though.
#--enable-java-support
#  Java on Linux blows chunks; there's no standard setup and dir layout :(

# For some reason Imake sometimes produces makefiles that 
# recurse infinitely if used with GNU make.
ln -s /usr/bin/pmake make
export PATH=.:$PATH
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
make Install
cd $RPM_BUILD_ROOT/usr
mv doc docs
mkdir -p doc/ilu-%{PACKAGE_VERSION}
mv docs examples doc/ilu-%{PACKAGE_VERSION}/
strip bin/* ||:
mkdir -p lib/ILU
mv imake interfaces lib/ILU
mkdir -p lib/python1.4
mv lib/*.py lib/python1.4
python /usr/lib/python1.4/compileall.py $RPM_BUILD_ROOT/usr/lib/python1.4
mkdir -p share/emacs/site-lisp
mv lib/*.el share/emacs/site-lisp
(cd share/emacs/site-lisp;
	emacs -batch -l exec.l -exec '(byte-compile-file "idl-mode.el")';
	emacs -batch -l exec.l -exec '(byte-compile-file "isl-mode.el")'
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/bin/*
/usr/include/*
/usr/lib/*.a
/usr/lib/ILU
/usr/lib/python1.4/*
/usr/share/emacs/site-lisp/*
/usr/man/man1/*.1
%doc COPYRIGHT README
